/* eslint-env jasmine */

describe('Directory reader', function() {
  const getFileList = require('../lib/web_exploit_detector').getFileList;

  it('should list all files in a base path recursively', function(done) {
    getFileList('spec/support/fs_tests/')
      .then(res => {
        
        expect(res).toBeDefined();

        // 12 test files and symlinks to directories containing 4 files in
        // total
        expect(res.length).toEqual(16);

        // Each path must begin with "spec/support/fs_tests/"
        expect(res.reduce((a, x) => x.indexOf('spec/support/fs_tests/') !== 0 ? false : a, true)).toBeTruthy('Not all resulting file paths began with the base path');

        done();
      });
  });
});
