/* eslint no-console: ["error", {"allow": ["log", "warn", "error"]}] */

var g_stdinResolver = null;

function processStdin(data) {
  if (g_stdinResolver)
    g_stdinResolver(data.toString());
}

export function start() {
  process.stdin.on('data', processStdin);
}

export function end() {
  process.stdin.end();
  g_stdinResolver = null;
}

export function prompt(msg) {
  process.stdin.resume();
  process.stdout.write(msg + ' ');
  return new Promise(resolve => {
    g_stdinResolver = resolve;
  });
}
